#include <iostream>
#include <bits/stdc++.h>
#include <string>

using namespace std;

int main()
{
    long double a, b, c;
    cin >> a >> b >> c;
    string a2= to_string(a);
    string b2= to_string(b);
    string c2= to_string(c);
    string najveci=max(max(max((a2+b2+c2),(a2+c2+b2)),max((b2+a2+c2),(b2+c2+a2))),max((c2+a2+b2),(c2+b2+a2)));
    long double n = stold(najveci);
    cout << n << endl;
    return 0;
}